Subject: Re: [bug#64700] [PATCH] gnu: Add python-core-sr-ht.

From: Ricardo Wurmus <[email-masked]>
Date: Wed, 19 Jul 2023 11:27:55 +0200

Hi,

Hilton Chain <[email-masked]> writes:

> On Tue, 18 Jul 2023 19:35:16 +0800,
> Ricardo Wurmus wrote:
>>
>> * gnu/packages/sourcehut.scm: New file.
>> * gnu/local.mk (GNU_SYSTEM_MODULES): Add it.
>> ---
>
> Good to know you are packaging sourcehut!
>
> bootstrap is used as a git submodule in "srht/scss/bootstrap" and
> would be intalled to the output, so I think it needs to be copied
> there.

I’m fetching it with (recursive? #true) in the git-reference
declaration, so it is already there.

> Then for the package names, how about srht-[...] or sourcehut-[...]?
> Just a suggestion, I don't have any good reasons. :-)

I don’t know.  I just went with our default naming scheme for Python
packages here: “python-” followed by the upstream repository name.

-- 
Ricardo